package me.qwq.doghouse.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;

import me.qwq.doghouse.annotation.StaticAttribute;

/**
 * 文章状态枚举
 **/
@StaticAttribute
public enum PostStatusEnum implements IQueryableEnum {

    RELEASED(0, "公开"),
    DRAFT(1, "草稿"),
    HIDDEN(2, "隐藏"),
    PRIVATE(3, "私密");

    @EnumValue
    private final int status;
    @JsonValue
    private final String note;

    PostStatusEnum(int status, String note) {
        this.status = status;
        this.note = note;
    }

    public String getNote() {
        return note;
    }

    public int getStatus() {
        return status;
    }
}
